Subject: Re: [PATCH net-next v2 3/4] net: dsa: Suffix function manipulating device_node with _dn

From: Florian Fainelli <[email-masked]>
Date: Tue, 5 Jul 2016 15:43:35 -0700

On 07/05/2016 03:36 PM, Andrew Lunn wrote:
> On Tue, Jul 05, 2016 at 03:07:12PM -0700, Florian Fainelli wrote:
>> Make it clear that these functions take a device_node structure pointer
> 
> Hi Florian
> 
> Didn't we agree that we would only support a single device via a C
> coded platform data structure?

That is true for the devices I know about, both in and out of tree,
however, while discussing offline with Vivien it seemed like there was a
potential need for having a x86-based platform which could need that,
Vivien do you think this platform could be in-tree one day (if not already)?

> 
> All the functions you are renaming will never be called in that
> case. So i think they can retain there names. You have no need to add
> none device node equivalents.
> 
> So lets drop this patch.
> 
>    Andrew
> 

-- 
Florian